Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.plugin.syndication.module
Class SimpleComment

    java.lang.Object
      org.blojsom.plugin.syndication.module.SimpleComment

All Implemented Interfaces:
  java.lang.Cloneable

public class SimpleComment
extends java.lang.Object
implements java.lang.Cloneable

Simple comment

Since:
  blojsom 3.0
Version:
  $Id: SimpleComment.java,v 1.1 2006/04/27 02:52:09 czarneckid Exp $
Author:
  David Czarnecki

Constructor Summary
`SimpleComment()`

Method Summary
`java.lang.Object` | `clone()`
`java.lang.String` | `getAuthor()`
`java.lang.String` | `getAuthorEmail()`
`java.lang.String` | `getAuthorURL()`
`java.lang.String` | `getComment()`
`java.util.Date` | `getCommentDate()`
`java.lang.String` | `getIp()`
`java.lang.String` | `getStatus()`
`void` | `setAuthor(java.lang.String author)`
`void` | `setAuthorEmail(java.lang.String authorEmail)`
`void` | `setAuthorURL(java.lang.String authorURL)`
`void` | `setComment(java.lang.String comment)`
`void` | `setCommentDate(java.util.Date commentDate)`
`void` | `setIp(java.lang.String ip)`
`void` | `setStatus(java.lang.String status)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleComment

    public SimpleComment()

Method Detail

### getAuthor

    public java.lang.String getAuthor()

### setAuthor

    public void setAuthor(java.lang.String author)

### getAuthorURL

    public java.lang.String getAuthorURL()

### setAuthorURL

    public void setAuthorURL(java.lang.String authorURL)

### getAuthorEmail

    public java.lang.String getAuthorEmail()

### setAuthorEmail

    public void setAuthorEmail(java.lang.String authorEmail)

### getComment

    public java.lang.String getComment()

### setComment

    public void setComment(java.lang.String comment)

### getCommentDate

    public java.util.Date getCommentDate()

### setCommentDate

    public void setCommentDate(java.util.Date commentDate)

### getIp

    public java.lang.String getIp()

### setIp

    public void setIp(java.lang.String ip)

### getStatus

    public java.lang.String getStatus()

### setStatus

    public void setStatus(java.lang.String status)

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Throws:
    `java.lang.CloneNotSupportedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD